Skip to main content

Get preferences for customer conversations

GET/v2/customers/{customerId}/conversation-preferences
API version
v2
Request method
GET
Operation ID
conversation-get-conversation-preferences-of-customer

Request​

  • customerIdstring (uuid)required

Responses​

Format
application/json
Description
  • customerIdstring (uuid)required
  • preferredUsersobjectrequired
    • categoryUserPairsobject
      • *string (uuid)
    • fallbackstring (uuid)
Content-Type: application/json

{
"customerId": "f0f86186-0a5a-45b2-aa33-502777496347",
"preferredUsers": {
"categoryUserPairs": {
"string": "f0f86186-0a5a-45b2-aa33-502777496347"
},
"fallback": "f0f86186-0a5a-45b2-aa33-502777496347"
}
}
{
"properties": {
"customerId": {
"format": "uuid",
"type": "string"
},
"preferredUsers": {
"properties": {
"categoryUserPairs": {
"additionalProperties": {
"format": "uuid",
"type": "string"
},
"type": "object"
},
"fallback": {
"format": "uuid",
"type": "string"
}
},
"type": "object"
}
},
"required": [
"customerId",
"preferredUsers"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/f0f86186-0a5a-45b2-aa33-502777496347/conversation-preferences
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.conversation.getConversationPreferencesOfCustomer({
"customerId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Conversation\GetConversationPreferencesOfCustomer\GetConversationPreferencesOfCustomerRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetConversationPreferencesOfCustomerRequest(
customerId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->conversation()->getConversationPreferencesOfCustomer($request);

var_dump($response->getBody();

On this page